rb_data_type_struct Struct Reference

`#include <ruby.h>`

## Data Fields

const char * | wrap_struct_name
struct {
void(* dmark )(void *)
void(* dfree )(void *)
size_t(* dsize )(const void *)
void * reserved [2]
} | function
const rb_data_type_t * | parent
void * | data

## Detailed Description

Definition at line 770 of file ruby.h.

## Field Documentation

void* rb_data_type_struct::data

Definition at line 780 of file ruby.h.

void(* rb_data_type_struct::dfree)(void *)

Definition at line 774 of file ruby.h.

void(* rb_data_type_struct::dmark)(void *)

Definition at line 773 of file ruby.h.

Referenced by gc_mark_children().

size_t(* rb_data_type_struct::dsize)(const void *)

Definition at line 775 of file ruby.h.

struct { ... } rb_data_type_struct::function

Referenced by gc_mark_children().

const rb_data_type_t* rb_data_type_struct::parent

Definition at line 779 of file ruby.h.

Referenced by rb_typeddata_inherited_p().

void* rb_data_type_struct::reserved[2]

Definition at line 776 of file ruby.h.

const char* rb_data_type_struct::wrap_struct_name

Definition at line 771 of file ruby.h.

Referenced by rb_check_typeddata().

The documentation for this struct was generated from the following file:

- include/ruby/ruby.h